CURLINFO_CAPATH(3)

NAME
CURLINFO_CAPATH - get the default built-in CAPATH string

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_CAPATH, char **path);

DESCRIPTION
Pass a pointer to a char pointer to receive the pointer to a null-terminated string holding the default built-in path used for the CURLOPT_CAPATH(3) option unless set by the user.

Note that in a situation where libcurl has been built to support multiple TLS libraries, this option might return a string even if the specific TLS library currently set to be used does not support CURLOPT_CAPATH(3).

This is a path identifying a directory.

The path pointer will be NULL if there is no default path.

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode res;
  char *capath = NULL;
  curl_easy_getinfo(curl, CURLINFO_CAPATH, &capath);
  if(capath)
      printf("default ca path: %s\n", capath);
  }
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.84.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLINFO_CAINFO(3), curl_easy_getinfo(3), curl_easy_setopt(3),